Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TDatatypeAttribute

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TDatatypeAttribute

All Implemented Interfaces:
  Visitable

    public class TDatatypeAttribute

extends TParseTreeNode

Field Summary
`static int` | `casespecific`
`static int` | `compress`
`static int` | `format`
`static int` | `named`
`static int` | `not_casespecific`
`static int` | `title`
`static int` | `unknown`
`static int` | `uppercase`
`static int` | `with_default`

Constructor Summary
`TDatatypeAttribute()`

Method Summary
`TConstant` | `getConstant()`
`TSourceToken` | `getSourceToken()`
`int` | `getType()`
`void` | `init(java.lang.Object arg1)` Initialize a query tree node.
`void` | `setConstant(TConstant constant)`
`void` | `setSourceToken(TSourceToken sourceToken)`
`void` | `setType(int type)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### unknown

    public static final int unknown

See Also:
  Constant Field Values

### uppercase

    public static final int uppercase

See Also:
  Constant Field Values

### casespecific

    public static final int casespecific

See Also:
  Constant Field Values

### not_casespecific

    public static final int not_casespecific

See Also:
  Constant Field Values

### format

    public static final int format

See Also:
  Constant Field Values

### title

    public static final int title

See Also:
  Constant Field Values

### named

    public static final int named

See Also:
  Constant Field Values

### with_default

    public static final int with_default

See Also:
  Constant Field Values

### compress

    public static final int compress

See Also:
  Constant Field Values

Constructor Detail

### TDatatypeAttribute

    public TDatatypeAttribute()

Method Detail

### setType

    public void setType(int type)

### getType

    public int getType()

### setConstant

    public void setConstant(TConstant constant)

### getConstant

    public TConstant getConstant()

### setSourceToken

    public void setSourceToken(TSourceToken sourceToken)

### getSourceToken

    public TSourceToken getSourceToken()

### init

    public void init(java.lang.Object arg1)

  Description copied from class: `TParseTreeNode`
  Initialize a query tree node.

  Overrides:
    `init` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD